Package com.logicaldoc.core.searchengine.folder

# Class FolderSearchOptions

java.lang.Object
com.logicaldoc.core.searchengine.SearchOptions
com.logicaldoc.core.searchengine.folder.FolderSearchOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<SearchOptions>`

public class FolderSearchOptions extends SearchOptions
Search options specialization for the folder search.

Since:
  6.4
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.searchengine.SearchOptions

`TYPE_FOLDERS, TYPE_FULLTEXT, TYPE_PARAMETRIC, TYPE_SEMANTIC, TYPE_TAG`

## Constructor Summary

Constructors
Constructor
Description
`FolderSearchOptions()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`List<FolderCriterion>`
`getCriteria()`
`List<FolderCriterion>`
`getNotEmptyCriteria()`
`List<String>`
`getOrder()`
`int`
`hashCode()`
`void`
`setCriteria(List<FolderCriterion> criteria)`
`void`
`setOrder(List<String> order)`

### Methods inherited from class com.logicaldoc.core.searchengine.SearchOptions

`compareTo, getDescription, getExpression, getFilterIds, getFolderId, getMaxHits, getName, getPage, getParameters, getTemplate, getTenantId, getTopOperator, getTransaction, getType, getUserId, isCaseSensitive, isFulltext, isRetrieveAliases, isSearchInSubPath, read, setCaseSensitive, setDescription, setExpression, setFilterIds, setFolderId, setMaxHits, setName, setPage, setParameters, setRetrieveAliases, setSearchInSubPath, setTemplate, setTenantId, setTopOperator, setTransaction, setType, setUserId, toString, write`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FolderSearchOptions

public FolderSearchOptions()

## Method Details

### getCriteria

public List<FolderCriterion> getCriteria()

### getNotEmptyCriteria

public List<FolderCriterion> getNotEmptyCriteria()

### setCriteria

public void setCriteria(List<FolderCriterion> criteria)

### getOrder

public List<String> getOrder()

### setOrder

public void setOrder(List<String> order)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `SearchOptions`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `SearchOptions`